GroovyRuntimeException (Groovy 5.0.0)
Description: declaration: package: groovy.lang, class: GroovyRuntimeException

Package groovy.lang

# Class GroovyRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheAccessControlException`, `CompilationFailedException`, `IncorrectClosureArgumentsException`, `InvokerInvocationException`, `JavaShellCompilationException`, `MethodSelectionException`, `MissingClassException`, `MissingFieldException`, `MissingMethodException`, `MissingPropertyException`, `RuntimeParserException`, `SpreadListEvaluatingException`, `SpreadMapEvaluatingException`, `TomlRuntimeException`, `TooManyValuesException`, `YamlRuntimeException`

public class GroovyRuntimeException extends RuntimeException
An exception thrown by the interpreter

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyRuntimeException()`
  `GroovyRuntimeException(String message)`
  `GroovyRuntimeException(String message, Throwable cause)`
  `GroovyRuntimeException(String message, ASTNode node)`
  `GroovyRuntimeException(Throwable t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getLocationText()`
  `String`
  `getMessage()`
  `String`
  `getMessageWithoutLocationText()`
  `ModuleNode`
  `getModule()`
  `ASTNode`
  `getNode()`
  `void`
  `setModule(ModuleNode module)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovyRuntimeException

    public GroovyRuntimeException()

  - ### GroovyRuntimeException

    public GroovyRuntimeException(String message)

  - ### GroovyRuntimeException

    public GroovyRuntimeException(String message, ASTNode node)

  - ### GroovyRuntimeException

    public GroovyRuntimeException(String message, Throwable cause)

  - ### GroovyRuntimeException

    public GroovyRuntimeException(Throwable t)

- ## Method Details

  - ### setModule

    public void setModule(ModuleNode module)

  - ### getModule

    public ModuleNode getModule()

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getNode

    public ASTNode getNode()

  - ### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

  - ### getLocationText

    protected String getLocationText()